## com.sun.j3d.utils.scenegraph.io
Interface SceneGraphObjectReferenceControl

    public interface SceneGraphObjectReferenceControl

Provides and resolves references to SceneGraphObjects to enable persistant references in user defined SceneGraphObjects implementing the SceneGraphIO interface.

Method Summary
`int` `addReference(SceneGraphObject object)` Add a reference to the scenegraph object specified and return the nodeID for the object Use only during the save cycle
`SceneGraphObject` `resolveReference(int nodeID)` Given a nodeID return the corresponding scene graph object.

Method Detail

### addReference

    int addReference(SceneGraphObject object)

  Add a reference to the scenegraph object specified and return the nodeID for the object Use only during the save cycle

### resolveReference

    SceneGraphObject resolveReference(int nodeID)

  Given a nodeID return the corresponding scene graph object. Use only during the load cycle

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.